View Issue Details

IDProjectCategoryView StatusLast Update
0032694Open CASCADEOCCT:Documentationpublic2021-12-04 12:30
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.5.0 
Target Version7.7.0 
Summary0032694: Documentation, Draw Harness Guide - update ViewerTest commands
DescriptionDraw Harness Guide lists ViewerTest commands with outdated description.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0031634 newkgv Documentation - minor clean-up of User Guides from misprints and old classes 

Activities

git

2021-11-27 21:20

administrator   ~0105491

Branch CR32694 has been created by kgv.

SHA-1: df3d52bbd322b77485fffac98170087790ccaf7c


Detailed log of new commits:

Author: kgv
Date: Sat Nov 27 15:18:53 2021 +0300

    0032694: Documentation, Draw Harness Guide - update ViewerTest commands
    
    Draw Harness Guide now refers to ViewerTest commands description
    via @snippet pointing to C++ source code instead of duplicating it.
    "help" command now tries to beautify output of command's description.

git

2021-11-27 22:04

administrator   ~0105492

Branch CR32694 has been updated forcibly by kgv.

SHA-1: dd0a4a8cb716b606b1b828dd39dc5d7b9ad83aa9

git

2021-11-27 22:16

administrator   ~0105493

Branch CR32694 has been updated forcibly by kgv.

SHA-1: 1c636d487fa8d461dcfd3db21ad036570487cbef

git

2021-11-27 22:49

administrator   ~0105494

Branch CR32694_1 has been created by kgv.

SHA-1: 0be469a882a81017355e1c817fa577e45485569f


Detailed log of new commits:

Author: kgv
Date: Sat Nov 27 15:18:53 2021 +0300

    0032694: Documentation, Draw Harness Guide - update ViewerTest commands
    
    Draw Harness Guide now refers to ViewerTest commands description
    via @snippet pointing to C++ source code instead of duplicating it.
    "help" command now tries to beautify output of command's description.

kgv

2021-11-27 23:18

developer   ~0105495

Patch is ready for review
- OCCT: branch CR32694_1.

http://jenkins-test-occt.nnov.opencascade.com/view/CR32694-master-KGV/

git

2021-11-28 00:11

administrator   ~0105496

Branch CR32694_2 has been created by kgv.

SHA-1: bfe3de3890172fffcd8e2e77a9c059e00c61b412


Detailed log of new commits:

Author: kgv
Date: Sat Nov 27 15:18:53 2021 +0300

    0032694: Documentation, Draw Harness Guide - update ViewerTest commands
    
    Draw Harness Guide now refers to ViewerTest commands description
    via @snippet pointing to C++ source code instead of duplicating it.
    "help" command now tries to beautify output of command's description.

osa

2021-11-29 10:10

developer   ~0105501

The patch was reviewed

smoskvin

2021-11-30 10:49

administrator   ~0105528

Problems of compilation with vc10, 11 win32/64
http://jenkins-test-11.nnov.opencascade.com/view/CR0-WEEK-48_CR0-WEEK-48/view/OCCT%20compile/job/CR0-WEEK-48_CR0-WEEK-48-OCCT-Windows-32-VC10-opt-compile/2/parsed_console/

kgv

2021-11-30 11:17

developer   ~0105532

Please change Jenkins scripts to disable Draw Harness module for vc10 and vc11 configurations.

> BUILD_MODULE_Draw=OFF

kgv

2021-12-02 22:33

developer   ~0105622

Sorry, CR32694_2 should be used instead of CR32694_1.

smoskvin

2021-12-04 12:00

administrator   ~0105648

Combination -
OCCT branch : IR-2021-12-03
master SHA - 03eb96038e853c37a2229e59d0acb72f5dd0478d
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-03 SHA - 52ed38cc2ddefb01913e1984cdae84175a8fb8ed
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18166.60000000042 / 18390.6500000004 [-1.22%]
Products
Total CPU difference: 11658.820000000103 / 11648.280000000103 [+0.09%]
Windows-64-VC14:
OCCT
Total CPU difference: 19937.84375 / 19928.171875 [+0.05%]
Products
Total CPU difference: 13069.28125 / 13059.03125 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-04 12:30

administrator   ~0105653

Branch CR32694 has been deleted by mnt.

SHA-1: 1c636d487fa8d461dcfd3db21ad036570487cbef

git

2021-12-04 12:30

administrator   ~0105654

Branch CR32694_1 has been deleted by mnt.

SHA-1: 0be469a882a81017355e1c817fa577e45485569f

git

2021-12-04 12:30

administrator   ~0105655

Branch CR32694_2 has been deleted by mnt.

SHA-1: bfe3de3890172fffcd8e2e77a9c059e00c61b412

Related Changesets

occt: master 44f6e8d5

2021-11-27 12:18:53

kgv


Committer: smoskvin Details Diff
0032694: Documentation, Draw Harness Guide - update ViewerTest commands

Draw Harness Guide now refers to ViewerTest commands description
via @snippet pointing to C++ source code instead of duplicating it.
"help" command now tries to beautify output of command's description.
Affected Issues
0032694
mod - adm/gendoc.tcl Diff File
mod - dox/CMakeLists.txt Diff File
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff File
mod - src/DrawResources/StandardCommands.tcl Diff File
mod - src/ViewerTest/ViewerTest.cxx Diff File
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff File
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff File
mod - src/ViewerTest/ViewerTest_RelationCommands.cxx Diff File
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff File

Issue History

Date Modified Username Field Change
2021-11-27 16:18 kgv New Issue
2021-11-27 16:18 kgv Assigned To => kgv
2021-11-27 16:18 kgv Test case number => N/A
2021-11-27 16:23 kgv Relationship added child of 0031634
2021-11-27 21:20 git Note Added: 0105491
2021-11-27 22:04 git Note Added: 0105492
2021-11-27 22:16 git Note Added: 0105493
2021-11-27 22:49 git Note Added: 0105494
2021-11-27 23:18 kgv Note Added: 0105495
2021-11-27 23:18 kgv Assigned To kgv => osa
2021-11-27 23:18 kgv Status new => resolved
2021-11-28 00:11 git Note Added: 0105496
2021-11-29 10:10 osa Note Added: 0105501
2021-11-29 10:10 osa Assigned To osa => bugmaster
2021-11-29 10:10 osa Status resolved => reviewed
2021-11-30 10:42 smoskvin Assigned To bugmaster => kgv
2021-11-30 10:43 smoskvin Assigned To kgv => smoskvin
2021-11-30 10:49 smoskvin Note Added: 0105528
2021-11-30 10:49 smoskvin Assigned To smoskvin => kgv
2021-11-30 10:49 smoskvin Status reviewed => assigned
2021-11-30 11:17 kgv Note Added: 0105532
2021-11-30 11:17 kgv Assigned To kgv => bugmaster
2021-11-30 11:17 kgv Status assigned => feedback
2021-12-02 12:02 kgv Status feedback => reviewed
2021-12-02 22:33 kgv Note Added: 0105622
2021-12-04 12:00 smoskvin Note Added: 0105648
2021-12-04 12:00 smoskvin Status reviewed => tested
2021-12-04 12:14 smoskvin Changeset attached => occt master 44f6e8d5
2021-12-04 12:14 smoskvin Assigned To bugmaster => smoskvin
2021-12-04 12:14 smoskvin Status tested => verified
2021-12-04 12:14 smoskvin Resolution open => fixed
2021-12-04 12:30 git Note Added: 0105653
2021-12-04 12:30 git Note Added: 0105654
2021-12-04 12:30 git Note Added: 0105655